careCycle
Appointments

List appointments

GET
/v2/appointments

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Query Parameters

string

GET /v2/appointments Parameter

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Formatdate-time
string

GET /v2/appointments Parameter

Match^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Formatdate-time
string

Comma-separated member UUIDs. Filter to appointments assigned to any of these members.

string

GET /v2/appointments Parameter

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid
string

Comma-separated appointment config UUIDs. Filter to appointments using any of these scheduling configs.

string

Comma-separated campaign UUIDs. Filter to appointments originating from any of these campaigns.

string

Comma-separated status filter. Omit to return all statuses.

string

Comma-separated booking source filter

string

Comma-separated appointment mode filter

string

GET /v2/appointments Parameter

Default"asc"Value in"asc" | "desc"
integer

GET /v2/appointments Parameter

Range0 < value <= 500
string

GET /v2/appointments Parameter

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.carecycle.ai/v2/appointments"
{
  "appointments": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "startTime": "2019-08-24T14:15:22Z",
      "endTime": "2019-08-24T14:15:22Z",
      "timezone": "string",
      "status": "scheduled",
      "title": "string",
      "appointmentMode": "phone_call",
      "appointmentConfigId": "1c7d76df-b376-45c7-a6f4-7e4bd224ddc2",
      "bookingSource": "ai_assistant",
      "originCallId": "a26be112-6fc9-4ff6-b400-9e5fc72da50e",
      "confirmedAt": "2019-08-24T14:15:22Z",
      "additionalNotes": "string",
      "calendarEventId": "string",
      "location": "string",
      "meetingUrl": "string",
      "cancelledAt": "2019-08-24T14:15:22Z",
      "cancellationReason": "string",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "customer": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "firstName": "string",
        "lastName": "string",
        "callerId": "string"
      },
      "member": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "image": "string"
      },
      "appointmentConfig": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "campaign": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string"
      },
      "callbackAttempt": {
        "callId": "4722cd84-0ec7-4ef5-8c34-1b0150f45f53",
        "attemptedAt": "2019-08-24T14:15:22Z",
        "status": "attempted",
        "label": "string"
      }
    }
  ],
  "total": 9007199254740991,
  "nextCursor": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ],
  "failedRecords": [
    {
      "index": 0,
      "phoneNumber": "string",
      "firstName": "string",
      "lastName": "string",
      "externalId": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}